Bug 236558 - eclipse hangs
eclipse hangs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnston
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-16 09:28 EDT by oDDsKooL
Modified: 2008-04-04 09:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.1.2-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 09:16:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.log file (exception description, ...) (44.86 KB, text/plain)
2007-04-16 09:28 EDT, oDDsKooL
no flags Details

  None (edit)
Description oDDsKooL 2007-04-16 09:28:48 EDT
Description of problem:

Frequently (6-8 times/day) eclipses hangs while wrinting C++ code.

Version-Release number of selected component (if applicable):

last release (as of april 16th 2007)

How reproducible:

seems random to me.

Steps to Reproduce:
1. write some code
2. write more code
3. etc.
  
Actual results:

eclipse's hang up dialog appears with the options of the JVM.

Expected results:

No Hang !!!

Additional info:

seems related to missing file target_filter.gif accessed by bundleentry:// ...
see attachement of .log file.
Comment 1 oDDsKooL 2007-04-16 09:28:49 EDT
Created attachment 152682 [details]
.log file (exception description, ...)
Comment 2 oDDsKooL 2007-04-16 09:33:20 EDT
eclipse-cdt-3.1.2-2.fc6

Linux XXX 2.6.20-1.2933.fc6 #1 SMP Mon Mar 19 11:38:26 EDT 2007 i686 i686 i386
GNU/Linux
Comment 3 oDDsKooL 2007-04-16 09:34:43 EDT
happens both with GIJ and Sun's JVM
Comment 4 Jeff Johnston 2007-04-16 18:29:33 EDT
Problem has been seen in 4.0 CDT as well.  I have surmised that the
target_filter.gif file is missing from icons/dtool16 by comparing the file list
from etool16 vs dtool16.  I have created a patch that adds the file (b/w version
of etool16/target_filter.gif) and am building an update.  Will update with
details after build is complete.
Comment 5 Jeff Johnston 2007-04-24 12:02:39 EDT
Please try eclipse-cdt-3.1.2-3.fc6 from the updates-testing repo.  It has the
aforementioned fix.
Comment 6 oDDsKooL 2007-04-27 04:26:31 EDT
after 3 days of intensive work with the updates-testing version, it seems the
bug went away.
Comment 7 Bug Zapper 2008-04-04 02:52:11 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Andrew Overholt 2008-04-04 09:16:09 EDT
Based on comment #6, I think this can be closed.

Note You need to log in before you can comment on or make changes to this bug.